
From: Alexey Dobriyan <adobriyan@gmail.com>

> -			*ptr = sg_dma_address(list) - list->offset;
> +			*ptr = cpu_to_le32(sg_dma_address(list) - list->offset);

Clearly mark pointers to little-endian things.

Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>
Acked-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/saa7134/saa7134-core.c |    4 ++--
 drivers/media/video/saa7134/saa7134.h      |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/media/video/saa7134/saa7134-core.c~v4l-saa7134-mark-little-endian-ptr drivers/media/video/saa7134/saa7134-core.c
--- 25/drivers/media/video/saa7134/saa7134-core.c~v4l-saa7134-mark-little-endian-ptr	Thu May 12 13:33:02 2005
+++ 25-akpm/drivers/media/video/saa7134/saa7134-core.c	Thu May 12 13:33:02 2005
@@ -316,7 +316,7 @@ unsigned long saa7134_buffer_base(struct
 
 int saa7134_pgtable_alloc(struct pci_dev *pci, struct saa7134_pgtable *pt)
 {
-        u32          *cpu;
+        __le32       *cpu;
         dma_addr_t   dma_addr;
 
 	cpu = pci_alloc_consistent(pci, SAA7134_PGTABLE_SIZE, &dma_addr);
@@ -332,7 +332,7 @@ int saa7134_pgtable_build(struct pci_dev
 			  struct scatterlist *list, unsigned int length,
 			  unsigned int startpage)
 {
-	u32           *ptr;
+	__le32        *ptr;
 	unsigned int  i,p;
 
 	BUG_ON(NULL == pt || NULL == pt->cpu);
diff -puN drivers/media/video/saa7134/saa7134.h~v4l-saa7134-mark-little-endian-ptr drivers/media/video/saa7134/saa7134.h
--- 25/drivers/media/video/saa7134/saa7134.h~v4l-saa7134-mark-little-endian-ptr	Thu May 12 13:33:02 2005
+++ 25-akpm/drivers/media/video/saa7134/saa7134.h	Thu May 12 13:33:02 2005
@@ -241,7 +241,7 @@ struct saa7134_dma;
 /* saa7134 page table */
 struct saa7134_pgtable {
 	unsigned int               size;
-	u32                        *cpu;
+	__le32                     *cpu;
 	dma_addr_t                 dma;
 };
 
_
